Subject: bug#23069: 25.1.50; in Gnus temporary browse files are always deleted

From: Ted Zlatanov <[email-masked]>
Date: Wed, 13 Jul 2016 10:14:18 -0400

On Wed, 13 Jul 2016 17:42:39 +0900 Katsumi Yamaoka <[email-masked]> wrote: 

KY> I think there are three
KY> ways to fix this issue:

KY> 1. Add a note, like the following, to the documentation of
KY>    `gnus-article-browse-delete-temp':

KY>    Note that temporary files will be deleted when exiting Gnus
KY>    no matter what the value of this variable is.

KY> 2. Don't pass `t' to `gnus-article-browse-delete-temp-files'
KY>    that `gnus-exit-gnus-hook' runs.

KY> 3. Don't add `gnus-article-browse-delete-temp-files' to
KY>    `gnus-exit-gnus-hook'.

KY> I vote for 3.
KY> `gnus-summary-prepare-exit-hook' is sufficient for those who
KY> want to delete temp files automatically, I think.

I think it's much more common to want temporary files deleted by Gnus
when it exits, than to keep them. By definition those files are
transient.

Ted